#include <applicat.h>
#include <config.h>
#include <form.h>
#include <msksheet.h>
#include <prefix.h>
#include <relation.h>
#include <utility.h>
#include <urldefid.h>

class TForm_editor : public TApplication
{
  TForm* _form; 
  TMask* _m;
  bool _extra;

protected:
  virtual bool create();
  virtual bool destroy();
  virtual bool menu(MENU_TAG);
  virtual void print();

  static bool file_handler(TMask_field& f, KEY k);
  static bool cod_handler(TMask_field&f, KEY k);
  static bool date_example(TMask_field&f, KEY k);
  
  bool& extra() { return _extra;}
  void set_form(TForm * f) { _form = f; }
  bool ask_profile();
  bool edit_relation();
  bool edit_fincatura();
  bool edit_formato_numero();
  bool edit_formato_data();
  bool edit(char s, pagetype p);
  bool form_config() const;
public:
  TForm_editor();
  virtual ~TForm_editor();
};

